﻿using Syncfusion.Data;
using Syncfusion.SfBusyIndicator.XForms;
using Syncfusion.SfDataGrid.XForms;
using Syncfusion.SfDataGrid.XForms.Renderers;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SfGridSample
{
    public partial class MainPage : ContentPage
    {
        SfBusyIndicator indicator;
        public MainPage()
        {
            InitializeComponent();
            dataGrid.GridLoaded += DataGrid_GridLoaded;
            indicator = new SfBusyIndicator();
            dataGrid.GroupExpanding += DataGrid_GroupExpanding;            
        }

        private void DataGrid_GridLoaded(object sender, GridLoadedEventArgs e)
        {
            dataGrid.CollapseAllGroup();
        }

        private async void DataGrid_GroupExpanding(object sender, GroupChangingEventArgs e)
        {
            //// customize based on the requirement.            
            indicator.IsBusy = true;
            indicator.IsVisible = true;
            indicator.AnimationType = AnimationTypes.SlicedCircle;
            grid.Children.Add(indicator);
            await Task.Delay(2000);            
            indicator.IsBusy = false;
            indicator.IsVisible = false;
        }
    }   
}
